clear
close all
clc
%
PosMatched34 = load('PosMatched34.mat');
NegMatched34 = load('NegMatched34.mat');
load('t64Cuts23.mat')

%
kePosMatched= PosMatched34.kBestYEst*(1/sqrt(PosMatched34.kBestYEst'*PosMatched34.kBestYEst));
keNegMatched= NegMatched34.kBestYEst*(1/sqrt(NegMatched34.kBestYEst'*NegMatched34.kBestYEst));
%
kBits= -10+zeros(63,1);
for nn=2:64     %Skip first cut
    plot(t64Cuts23(:,nn)); hold on; plot(5000*kePosMatched,'g'); plot(5000*keNegMatched,'r'); hold off
    if (t64Cuts23(:,nn)'*kePosMatched) > (t64Cuts23(:,nn)'*keNegMatched)
        kBits(nn-1) = -1;
    else
        kBits(nn-1) =  1;
    end
    clc
    pause(0.1)
    bolBit= kBits(nn-1);
    disp(bolBit)
end

plot(cconv(kBits, flip(kBits), 63))

%------------------
load('All64MSeqsPN.mat')

kRes= -10+zeros(63,1);
for jj=1:63
    bb= rMSeqsPN(jj,2:end);
    kRes(jj)= bb*kBits;
end


disp(' ')