clear
close all
clc
%
PosMatched56 = load('PosMatched56.mat');
NegMatched56 = load('NegMatched56.mat');
load('t64Cuts56.mat')

%
kePosMatched= PosMatched56.kBestYEst*(1/sqrt(PosMatched56.kBestYEst'*PosMatched56.kBestYEst));
keNegMatched= NegMatched56.kBestYEst*(1/sqrt(NegMatched56.kBestYEst'*NegMatched56.kBestYEst));

kBits= -10+zeros(63,1);
for nn=2:64     %Skip first cut
    plot(t64Cuts56(:,nn)); hold on; plot(5000*kePosMatched,'g'); plot(5000*keNegMatched,'r'); hold off
    if (t64Cuts56(:,nn)'*kePosMatched) > (t64Cuts56(:,nn)'*keNegMatched)
        kBits(nn-1) = -1;
    else
        kBits(nn-1) =  1;
    end
    clc
    pause(0.1)
    bolBit= kBits(nn-1);
    disp(bolBit)
end

plot(cconv(kBits, flip(kBits), 63))

%------------------
load('All64MSeqsPN.mat')

kRes= -10+zeros(63,1);
for jj=1:63
    bb= rMSeqsPN(jj,2:end);
    kRes(jj)= bb*kBits;
end


disp(' ')