
clear
close all
clc

%
qFs = 16384; %sampling frequency

%CUTLEN: lenght of the cut  (600ms) 
%CUTLEFT: part that taken before beginning of the bit start (50ms) 
CUTLEN= fix(0.6*qFs);               % 600ms
CUTLEFT= fix(0.05*qFs);              % 50ms

%Load data
load('C:\Users\CEREN\Desktop\hü.eee\NOVA\ApS\yuksel27.02.24\palma02.mat')
load('Palma02BitsStart.mat')

qNCuts = numel(kBitsStart); %number of cuts

%m-sequence that is shown to the subject
Mseq = [0 0 0 0 1 0 0 0 0 1 1 0 0 0 1 0 1 0 0 1 1 1 1 0 1 0 0 0 1 1 1 0 0 1 0 0 1 0 1 1 0 1 1 1 0 1 1 0 0 1 1 0 1 0 1 0 1 1 1 1 1 1 0];
Mseq = 2*Mseq-1;

%naming each channel
k01= double(ALLEEG.data(1,:)');
k02= double(ALLEEG.data(2,:)');
k03= double(ALLEEG.data(3,:)');
k04= double(ALLEEG.data(4,:)');
k05= double(ALLEEG.data(5,:)');
k06= double(ALLEEG.data(6,:)');
k07= double(ALLEEG.data(7,:)');
k08= double(ALLEEG.data(8,:)');

%call for the function tCuts_func
%all_cuts = tCuts_func(ksig1,ksig2,ksig3,ksig4,ksig5,ksig6,ksig7,ksig8,qFs,CUTLEN_n,CUTLEFT_n,kBitsStart)
all_cuts = tCuts_func(k01,k02,k03,k04,k05,k06,k07,k08,16384,0.6,0.05,kBitsStart);

%choose one of the signals to work on initially
t64Cuts12 = all_cuts.k12_cut; %signal pair channel_1-channel_2 with all cuts
t64Cuts13 = all_cuts.k13_cut; %signal pair channel_1-channel_3 with all cuts
t64Cuts14 = all_cuts.k14_cut; %signal pair channel_1-channel_4 with all cuts
t64Cuts15 = all_cuts.k15_cut; %signal pair channel_1-channel_5 with all cuts
t64Cuts16 = all_cuts.k16_cut; %signal pair channel_1-channel_6 with all cuts
t64Cuts17 = all_cuts.k17_cut; %signal pair channel_1-channel_7 with all cuts
t64Cuts18 = all_cuts.k18_cut; %signal pair channel_1-channel_8 with all cuts

t64Cuts23 = all_cuts.k23_cut; %signal pair channel_2-channel_3 with all cuts
t64Cuts24 = all_cuts.k24_cut; %signal pair channel_2-channel_4 with all cuts
t64Cuts25 = all_cuts.k25_cut; %signal pair channel_2-channel_5 with all cuts
t64Cuts26 = all_cuts.k26_cut; %signal pair channel_2-channel_6 with all cuts
t64Cuts27 = all_cuts.k27_cut; %signal pair channel_2-channel_7 with all cuts
t64Cuts28 = all_cuts.k28_cut; %signal pair channel_2-channel_8 with all cuts

t64Cuts34 = all_cuts.k34_cut; %signal pair channel_3channel_4 with all cuts
t64Cuts35 = all_cuts.k35_cut; %signal pair channel_3-channel_5 with all cuts
t64Cuts36 = all_cuts.k36_cut; %signal pair channel_3-channel_6 with all cuts
t64Cuts37 = all_cuts.k37_cut; %signal pair channel_3-channel_7 with all cuts
t64Cuts38 = all_cuts.k38_cut; %signal pair channel_3-channel_8 with all cuts

t64Cuts45 = all_cuts.k45_cut; %signal pair channel_4-channel_5 with all cuts
t64Cuts46 = all_cuts.k46_cut; %signal pair channel_4-channel_6 with all cuts
t64Cuts47 = all_cuts.k47_cut; %signal pair channel_4-channel_7 with all cuts
t64Cuts48 = all_cuts.k48_cut; %signal pair channel_4-channel_8 with all cuts

t64Cuts56 = all_cuts.k56_cut; %signal pair channel_5-channel_6 with all cuts
t64Cuts57 = all_cuts.k57_cut; %signal pair channel_5-channel_7 with all cuts
t64Cuts58 = all_cuts.k58_cut; %signal pair channel_5-channel_8 with all cuts

t64Cuts67 = all_cuts.k67_cut; %signal pair channel_6-channel_7 with all cuts
t64Cuts68 = all_cuts.k68_cut; %signal pair channel_6-channel_8 with all cuts
t64Cuts78 = all_cuts.k78_cut; %signal pair channel_7-channel_8 with all cuts
%

PosCut23= zeros(CUTLEN); %sum of all positive cuts
NegCut23= PosCut23; %sum of all negative cuts
cc =1;  %dummy variable to test if it is positive cut or negative cut 
%(if it is positive cut, cc=1; if negative, cc=-1)

PosCut24= zeros(CUTLEN); %sum of all positive cuts
NegCut24= PosCut24; %sum of all negative cuts
PosCut25= zeros(CUTLEN); %sum of all positive cuts
NegCut25= PosCut25; %sum of all negative cuts
PosCut26= zeros(CUTLEN); %sum of all positive cuts
NegCut26= PosCut26; %sum of all negative cuts
PosCut27= zeros(CUTLEN); %sum of all positive cuts
NegCut27= PosCut27; %sum of all negative cuts
PosCut28= zeros(CUTLEN); %sum of all positive cuts
NegCut28= PosCut28; %sum of all negative cuts

PosCut34= zeros(CUTLEN); %sum of all positive cuts
NegCut34= PosCut34; %sum of all negative cuts
PosCut35= zeros(CUTLEN); %sum of all positive cuts
NegCut35= PosCut35; %sum of all negative cuts
PosCut36= zeros(CUTLEN); %sum of all positive cuts
NegCut36= PosCut36; %sum of all negative cuts
PosCut37= zeros(CUTLEN); %sum of all positive cuts
NegCut37= PosCut37; %sum of all negative cuts
PosCut38= zeros(CUTLEN); %sum of all positive cuts
NegCut38= PosCut38; %sum of all negative cuts

PosCut45= zeros(CUTLEN); %sum of all positive cuts
NegCut45= PosCut45; %sum of all negative cuts
PosCut46= zeros(CUTLEN); %sum of all positive cuts
NegCut46= PosCut46; %sum of all negative cuts
PosCut47= zeros(CUTLEN); %sum of all positive cuts
NegCut47= PosCut47; %sum of all negative cuts
PosCut48= zeros(CUTLEN); %sum of all positive cuts
NegCut48= PosCut48; %sum of all negative cuts

PosCut56= zeros(CUTLEN); %sum of all positive cuts
NegCut56= PosCut56; %sum of all negative cuts
PosCut57= zeros(CUTLEN); %sum of all positive cuts
NegCut57= PosCut57; %sum of all negative cuts
PosCut58= zeros(CUTLEN); %sum of all positive cuts
NegCut58= PosCut58; %sum of all negative cuts

PosCut67= zeros(CUTLEN); %sum of all positive cuts
NegCut67= PosCut67; %sum of all negative cuts
PosCut68= zeros(CUTLEN); %sum of all positive cuts
NegCut68= PosCut68; %sum of all negative cuts

PosCut78= zeros(CUTLEN); %sum of all positive cuts
NegCut78= PosCut78; %sum of all negative cuts

PosCut12= zeros(CUTLEN); %sum of all positive cuts
NegCut12= PosCut12; %sum of all negative cuts
PosCut13= zeros(CUTLEN); %sum of all positive cuts
NegCut13= PosCut13; %sum of all negative cuts
PosCut14= zeros(CUTLEN); %sum of all positive cuts
NegCut14= PosCut14; %sum of all negative cuts
PosCut15= zeros(CUTLEN); %sum of all positive cuts
NegCut15= PosCut15; %sum of all negative cuts
PosCut16= zeros(CUTLEN); %sum of all positive cuts
NegCut16= PosCut16; %sum of all negative cuts
PosCut17= zeros(CUTLEN); %sum of all positive cuts
NegCut17= PosCut17; %sum of all negative cuts
PosCut18= zeros(CUTLEN); %sum of all positive cuts
NegCut18= PosCut18; %sum of all negative cuts
%
% %loop to seperate cuts
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut23 = PosCut23 + t64Cuts23(:,nn);
%     else 
%         NegCut23 = NegCut23 + t64Cuts23(:,nn);
%     end    
% end %origin
% % plot(PosCut23),hold on,plot(NegCut23,'r');
% %
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut24 = PosCut24 + t64Cuts24(:,nn);
%     else 
%         NegCut24 = NegCut24 + t64Cuts24(:,nn);
%     end    
% end
% % plot(PosCut24),hold on,plot(NegCut24,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut25= PosCut25 + t64Cuts25(:,nn);
%     else 
%         NegCut25 = NegCut25 + t64Cuts25(:,nn);
%     end    
% end
% % plot(PosCut25),hold on,plot(NegCut25,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut26 = PosCut26 + t64Cuts26(:,nn);
%     else 
%         NegCut26 = NegCut26 + t64Cuts26(:,nn);
%     end    
% end
% % plot(PosCut26),hold on,plot(NegCut26,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut27 = PosCut27 + t64Cuts27(:,nn);
%     else 
%         NegCut27 = NegCut27 + t64Cuts27(:,nn);
%     end    
% end
% % plot(PosCut27),hold on,plot(NegCut27,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut28 = PosCut28 + t64Cuts28(:,nn);
%     else 
%         NegCut28 = NegCut28 + t64Cuts28(:,nn);
%     end    
% end
% % plot(PosCut28),hold on,plot(NegCut28,'r');
% %loop to seperate cuts
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut23 = PosCut23 + t64Cuts23(:,nn);
%     else 
%         NegCut23 = NegCut23 + t64Cuts23(:,nn);
%     end    
% end %origin
% % plot(PosCut23),hold on,plot(NegCut23,'r');
% %
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut34 = PosCut34 + t64Cuts34(:,nn);
%     else 
%         NegCut34 = NegCut34 + t64Cuts34(:,nn);
%     end    
% end
% % plot(PosCut34),hold on,plot(NegCut34,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut35= PosCut35 + t64Cuts35(:,nn);
%     else 
%         NegCut35 = NegCut35 + t64Cuts35(:,nn);
%     end    
% end
% % plot(PosCut35),hold on,plot(NegCut35,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut36 = PosCut36 + t64Cuts36(:,nn);
%     else 
%         NegCut36 = NegCut36 + t64Cuts36(:,nn);
%     end    
% end
% % plot(PosCut36),hold on,plot(NegCut36,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut37 = PosCut37 + t64Cuts37(:,nn);
%     else 
%         NegCut37 = NegCut37 + t64Cuts37(:,nn);
%     end    
% end
% % plot(PosCut37),hold on,plot(NegCut37,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut38 = PosCut38 + t64Cuts38(:,nn);
%     else 
%         NegCut38 = NegCut38 + t64Cuts38(:,nn);
%     end    
% end
% % plot(PosCut38),hold on,plot(NegCut38,'r');

%
% 
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut45 = PosCut45 + t64Cuts45(:,nn);
%     else 
%         NegCut45 = NegCut45 + t64Cuts45(:,nn);
%     end    
% end
% % plot(PosCut25),hold on,plot(NegCut25,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut46 = PosCut46 + t64Cuts46(:,nn);
%     else 
%         NegCut46 = NegCut46 + t64Cuts46(:,nn);
%     end    
% end
% % plot(PosCut46),hold on,plot(NegCut46,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut47 = PosCut47 + t64Cuts47(:,nn);
%     else 
%         NegCut47 = NegCut47 + t64Cuts47(:,nn);
%     end    
% end
% % plot(PosCut47),hold on,plot(NegCut47,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut48 = PosCut48 + t64Cuts48(:,nn);
%     else 
%         NegCut48 = NegCut48 + t64Cuts48(:,nn);
%     end    
% end
% plot(PosCut48),hold on,plot(NegCut48,'r');

% plot(PosCut25),hold on,plot(NegCut25,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut56 = PosCut56 + t64Cuts56(:,nn);
%     else 
%         NegCut56 = NegCut56 + t64Cuts56(:,nn);
%     end    
% end
% % plot(PosCut56),hold on,plot(NegCut56,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut27 = PosCut57 + t64Cuts57(:,nn);
%     else 
%         NegCut27 = NegCut57 + t64Cuts57(:,nn);
%     end    
% end
% % plot(PosCut57),hold on,plot(NegCut57,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut58 = PosCut58 + t64Cuts58(:,nn);
%     else 
%         NegCut58 = NegCut58 + t64Cuts58(:,nn);
%     end    
% end
% plot(PosCut58),hold on,plot(NegCut58,'r');


% plot(PosCut26),hold on,plot(NegCut26,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut67 = PosCut67 + t64Cuts67(:,nn);
%     else 
%         NegCut67 = NegCut67 + t64Cuts67(:,nn);
%     end    
% end
% % plot(PosCut67),hold on,plot(NegCut67,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut68 = PosCut68 + t64Cuts68(:,nn);
%     else 
%         NegCut68 = NegCut68 + t64Cuts68(:,nn);
%     end    
% end
% % plot(PosCut68),hold on,plot(NegCut68,'r');
% 
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut78 = PosCut78 + t64Cuts78(:,nn);
%     else 
%         NegCut78 = NegCut78 + t64Cuts78(:,nn);
%     end    
% end
% plot(PosCut78),hold on,plot(NegCut78,'r');
% 
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut12 = PosCut12 + t64Cuts12(:,nn);
%     else 
%         NegCut12 = NegCut12 + t64Cuts12(:,nn);
%     end    
% end
% % plot(PosCut12),hold on,plot(NegCut12,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut13 = PosCut13 + t64Cuts13(:,nn);
%     else 
%         NegCut13 = NegCut13 + t64Cuts13(:,nn);
%     end    
% end
% % plot(PosCut13),hold on,plot(NegCut13,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut14 = PosCut14 + t64Cuts14(:,nn);
%     else 
%         NegCut14 = NegCut14 + t64Cuts14(:,nn);
%     end    
% end
% % plot(PosCut14),hold on,plot(NegCut14,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut15= PosCut15 + t64Cuts15(:,nn);
%     else 
%         NegCut15 = NegCut15 + t64Cuts15(:,nn);
%     end    
% end
% % plot(PosCut15),hold on,plot(NegCut15,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut16 = PosCut16 + t64Cuts16(:,nn);
%     else 
%         NegCut16 = NegCut16 + t64Cuts16(:,nn);
%     end    
% end
% % plot(PosCut16),hold on,plot(NegCut16,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut17 = PosCut17 + t64Cuts17(:,nn);
%     else 
%         NegCut17 = NegCut17 + t64Cuts17(:,nn);
%     end    
% end
% % plot(PosCut17),hold on,plot(NegCut17,'r');
% for nn= 2:63  %cut signals start from 2. first cut doesnot effect
%     %if m-sequence is 1; then it is a positive cut. visa versa
%     if Mseq(nn-1)== cc %m-sequence start from 1
%         PosCut18 = PosCut18 + t64Cuts18(:,nn);
%     else 
%         NegCut18 = NegCut18 + t64Cuts18(:,nn);
%     end    
% end
% plot(PosCut18),hold on,plot(NegCut18,'r');
%
%output signals to generate transfer functions for sums of 
%positive and negative cuts
% OS23Pos= PosCut23 - mean(PosCut23(1:1000)); %output signal for sum of positive cuts for signal_23
% OS23Neg= NegCut23 - mean(NegCut23(1:1000)); %output signal for sum of negative cuts for signal_23

%
% OS24Pos= PosCut24 - mean(PosCut24(1:1000)); %output signal for sum of positive cuts for signal_24
% OS24Neg= NegCut24 - mean(NegCut24(1:1000)); %output signal for sum of negative cuts for signal_24
% OS25Pos= PosCut25 - mean(PosCut25(1:1000)); %output signal for sum of positive cuts for signal_25
% OS25Neg= NegCut25 - mean(NegCut25(1:1000)); %output signal for sum of negative cuts for signal_25
% OS26Pos= PosCut26 - mean(PosCut26(1:1000)); %output signal for sum of positive cuts for signal_26
% OS26Neg= NegCut26 - mean(NegCut26(1:1000)); %output signal for sum of negative cuts for signal_26
% OS27Pos= PosCut27 - mean(PosCut27(1:1000)); %output signal for sum of positive cuts for signal_27
% OS27Neg= NegCut27 - mean(NegCut27(1:1000)); %output signal for sum of negative cuts for signal_27
% OS28Pos= PosCut28 - mean(PosCut28(1:1000)); %output signal for sum of positive cuts for signal_28
% OS28Neg= NegCut28 - mean(NegCut28(1:1000)); %output signal for sum of negative cuts for signal_28
%
OS34Pos= PosCut34 - mean(PosCut34(1:1000)); %output signal for sum of positive cuts for signal_34
OS34Neg= NegCut34 - mean(NegCut34(1:1000)); %output signal for sum of negative cuts for signal_34
% OS35Pos= PosCut35 - mean(PosCut35(1:1000)); %output signal for sum of positive cuts for signal_35
% OS35Neg= NegCut35 - mean(NegCut35(1:1000)); %output signal for sum of negative cuts for signal_35
% OS36Pos= PosCut36 - mean(PosCut36(1:1000)); %output signal for sum of positive cuts for signal_36
% OS36Neg= NegCut36 - mean(NegCut36(1:1000)); %output signal for sum of negative cuts for signal_36
% OS37Pos= PosCut37 - mean(PosCut37(1:1000)); %output signal for sum of positive cuts for signal_37
% OS37Neg= NegCut37 - mean(NegCut37(1:1000)); %output signal for sum of negative cuts for signal_37
% OS38Pos= PosCut38 - mean(PosCut38(1:1000)); %output signal for sum of positive cuts for signal_38
% OS38Neg= NegCut38 - mean(NegCut38(1:1000)); %output signal for sum of negative cuts for signal_38
%

% OS45Pos= PosCut45 - mean(PosCut45(1:1000)); %output signal for sum of positive cuts for signal_45
% OS45Neg= NegCut45 - mean(NegCut45(1:1000)); %output signal for sum of negative cuts for signal_45
% OS46Pos= PosCut46 - mean(PosCut46(1:1000)); %output signal for sum of positive cuts for signal_46
% OS46Neg= NegCut46 - mean(NegCut46(1:1000)); %output signal for sum of negative cuts for signal_46
% OS47Pos= PosCut47 - mean(PosCut47(1:1000)); %output signal for sum of positive cuts for signal_47
% OS47Neg= NegCut47 - mean(NegCut47(1:1000)); %output signal for sum of negative cuts for signal_47
% OS48Pos= PosCut48 - mean(PosCut48(1:1000)); %output signal for sum of positive cuts for signal_48
% OS48Neg= NegCut48 - mean(NegCut48(1:1000)); %output signal for sum of negative cuts for signal_48
% 
% OS56Pos= PosCut56 - mean(PosCut56(1:1000)); %output signal for sum of positive cuts for signal_56
% OS56Neg= NegCut56 - mean(NegCut56(1:1000)); %output signal for sum of negative cuts for signal_56
% OS57Pos= PosCut57 - mean(PosCut57(1:1000)); %output signal for sum of positive cuts for signal_57
% OS57Neg= NegCut57 - mean(NegCut57(1:1000)); %output signal for sum of negative cuts for signal_57
% OS58Pos= PosCut58 - mean(PosCut58(1:1000)); %output signal for sum of positive cuts for signal_58
% OS58Neg= NegCut58 - mean(NegCut58(1:1000)); %output signal for sum of negative cuts for signal_58

% OS67Pos= PosCut67 - mean(PosCut67(1:1000)); %output signal for sum of positive cuts for signal_67
% OS67Neg= NegCut67 - mean(NegCut67(1:1000)); %output signal for sum of negative cuts for signal_67
% OS68Pos= PosCut68 - mean(PosCut68(1:1000)); %output signal for sum of positive cuts for signal_68
% OS68Neg= NegCut68 - mean(NegCut68(1:1000)); %output signal for sum of negative cuts for signal_68
% 
% OS78Pos= PosCut78 - mean(PosCut78(1:1000)); %output signal for sum of positive cuts for signal_78
% OS78Neg= NegCut78 - mean(NegCut78(1:1000)); %output signal for sum of negative cuts for signal_78

% OS12Pos= PosCut12 - mean(PosCut12(1:1000)); %output signal for sum of positive cuts for signal_12
% OS12Neg= NegCut12 - mean(NegCut12(1:1000)); %output signal for sum of negative cuts for signal_12
% OS13Pos= PosCut13 - mean(PosCut13(1:1000)); %output signal for sum of positive cuts for signal_13
% OS13Neg= NegCut13 - mean(NegCut13(1:1000)); %output signal for sum of negative cuts for signal_13
% OS14Pos= PosCut14 - mean(PosCut14(1:1000)); %output signal for sum of positive cuts for signal_14
% OS14Neg= NegCut14 - mean(NegCut14(1:1000)); %output signal for sum of negative cuts for signal_14
% OS15Pos= PosCut15 - mean(PosCut15(1:1000)); %output signal for sum of positive cuts for signal_15
% OS15Neg= NegCut15 - mean(NegCut15(1:1000)); %output signal for sum of negative cuts for signal_15
% OS16Pos= PosCut16 - mean(PosCut16(1:1000)); %output signal for sum of positive cuts for signal_16
% OS16Neg= NegCut16 - mean(NegCut16(1:1000)); %output signal for sum of negative cuts for signal_16
% OS17Pos= PosCut17 - mean(PosCut17(1:1000)); %output signal for sum of positive cuts for signal_17
% OS17Neg= NegCut17 - mean(NegCut17(1:1000)); %output signal for sum of negative cuts for signal_17
% OS18Pos= PosCut18 - mean(PosCut18(1:1000)); %output signal for sum of positive cuts for signal_18
% OS18Neg= NegCut18 - mean(NegCut18(1:1000)); %output signal for sum of negative cuts for signal_18

